Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.objects
Class InlineImage

    java.lang.Object
      org.pdfclown.documents.contents.objects.ContentObject
          org.pdfclown.documents.contents.objects.CompositeObject
              org.pdfclown.documents.contents.objects.GraphicsObject
                  org.pdfclown.documents.contents.objects.InlineImage

    @PDF(value=PDF10)
    public final class InlineImage

extends GraphicsObject

Inline image object [PDF:1.6:4.8.6].

Since:
  0.0.4
Version:
  0.1.1, 11/01/11
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Field Summary
`static String` | `BeginOperator`
`static String` | `EndOperator`

Fields inherited from class org.pdfclown.documents.contents.objects.CompositeObject
`objects`

Constructor Summary
`InlineImage(InlineImageHeader header, InlineImageBody body)`

Method Summary
`InlineImageBody` | `getBody()` Gets the image body.
`InlineImageHeader` | `getHeader()` Gets the image header.
`Dimension2D` | `getSize()` Gets the image size.
`void` | `writeTo(IOutputStream stream, Document context)` Serializes this object to the specified stream.

Methods inherited from class org.pdfclown.documents.contents.objects.CompositeObject
`createRenderObject, getObjects, render, scan, setHeader, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BeginOperator

    public static final String BeginOperator

See Also:
  Constant Field Values

### EndOperator

    public static final String EndOperator

See Also:
  Constant Field Values

Constructor Detail

### InlineImage

    public InlineImage(InlineImageHeader header,
                       InlineImageBody body)

Method Detail

### getBody

    public InlineImageBody getBody()

  Gets the image body.

### getHeader

    public InlineImageHeader getHeader()

  Gets the image header.

  Overrides:
    `getHeader` in class `CompositeObject`

### getSize

    public Dimension2D getSize()

  Gets the image size.

### writeTo

    public void writeTo(IOutputStream stream,
                        Document context)

  Description copied from class: `ContentObject`
  Serializes this object to the specified stream.

  Overrides:
    `writeTo` in class `CompositeObject`
  Parameters:
    `stream` - Target stream.
    `context` - Document context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.